## org.codehaus.groovy.grails.webflow.execution.repository.continuation
Class GrailsAwareContinuationFlowExecutionRepository

    java.lang.Object
      org.springframework.webflow.execution.repository.support.AbstractFlowExecutionRepository
          org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
              org.springframework.webflow.execution.repository.continuation.ContinuationFlowExecutionRepository
                  org.codehaus.groovy.grails.webflow.execution.repository.continuation.GrailsAwareContinuationFlowExecutionRepository

All Implemented Interfaces:
  org.springframework.webflow.execution.repository.FlowExecutionRepository

    public class GrailsAwareContinuationFlowExecutionRepository

extends org.springframework.webflow.execution.repository.continuation.ContinuationFlowExecutionRepository

extends Webflows default ContinuationFlowExecutionRepository to allow the continuation factory to be aware of the Grails class loader

Since:
  0.6

  Created: Jul 6, 2007 Time: 10:46:32 PM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
`logger`

Constructor Summary
`GrailsAwareContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer, org.springframework.webflow.conversation.ConversationManager conversationManagerToUse, GrailsApplication grailsApplication)`

Method Summary

Methods inherited from class org.springframework.webflow.execution.repository.continuation.ContinuationFlowExecutionRepository
`generateContinuationId, getContinuation, getContinuationFactory, getContinuationIdGenerator, getFlowExecution, getMaxContinuations, parseContinuationId, putFlowExecution, setContinuationFactory, setContinuationIdGenerator, setMaxContinuations`

Methods inherited from class org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
`createConversationParameters, generateKey, getContinuationId, getConversation, getConversationId, getConversationManager, getConversationScope, getLock, getNextKey, onBegin, onEnd, parseFlowExecutionKey, putConversationScope, removeFlowExecution`

Methods inherited from class org.springframework.webflow.execution.repository.support.AbstractFlowExecutionRepository
`getExecutionStateRestorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareContinuationFlowExecutionRepository

    public GrailsAwareContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer,
                                                          org.springframework.webflow.conversation.ConversationManager conversationManagerToUse,
                                                          GrailsApplication grailsApplication)

Copyright (c) 2005-2006 The Grails project